
Figure - Bug #118789
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113423 (New): V4.0专项--BSP专项--稳定性-各项功能长时间运行

【BSP】【EVT】【稳定性】用adb命令进行长时间按压测试，状态栏出现异常，重启进入900E
2023-06-14 19:01 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-15

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C104(X104)

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备成功启动

【测试步骤】

1、adb命令进行长时间按压测试：adb -s 6545D746 shell input touchscreen swipe 1780 650 1780 650 43200000

2、从15：00-18：00运行三个小时，出现状态栏小时，无法进入多任务管理器的情况

3、设备重启

【预期结果】

3、正常重启

【实际结果】

3、进入900E

Subtasks:

Bug # 118799: dump CLOSED

History

#1 - 2023-06-14 19:03 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118789

#2 - 2023-06-14 21:03 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD SYSTEM-胡兵

#3 - 2023-06-15 18:28 - CDTS_TEST 王成

- Severity changed from Major to Critical

#4 - 2023-06-15 21:26 - CD SYSTEM-胡兵

- Assignee changed from CD SYSTEM-胡兵 to CD BSP 叶鹏 

Hi 叶鹏

pwm_fan_set_cur_state触发的dump问题，麻烦分析下~
   1.616395] kernel BUG at kernel/time/timer.c:988!

[    1.616403] Internal error: Oops - BUG: 0 [#1] PREEMPT SMP

[    1.616408] Modules linked in:

[    1.616415] Process swapper/0 (pid: 1, stack limit = 0x000000002866e02f)

[    1.616420] CPU: 3 PID: 1 Comm: swapper/0 Tainted: G S      W         4.19.157-perf+ #1

[    1.616425] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VX1(MCE) EVT2 (DT)

[    1.616430] pstate: 60800085 (nZCv daIf -PAN +UAO)

[    1.616440] pc : mod_timer+0x584/0x588

[    1.616445] lr : add_timer+0x18/0x28

[    1.616449] sp : ffffff800805b7c0

[    1.616453] x29: ffffff800805b7d0 x28: ffffff9c62d296b8 

[    1.616459] x27: ffffff9c62dfa000 x26: ffffff9c629040b0 

[    1.616464] x25: 0000000000000004 x24: ffffff9c62913018 

[    1.616470] x23: 0000000000000066 x22: 0000000000000000 

[    1.616475] x21: 0000000000000001 x20: ffffffe4d5a76000 

[    1.616481] x19: 0000000000000000 x18: ffffffe4f7565b00 

[    1.616487] x17: ffffffe4f7581800 x16: 0000000000000060 

[    1.616492] x15: 0000000000000004 x14: 0000000000000001 

[    1.616497] x13: 0000000000000007 x12: 0000000000000013 

[    1.616502] x11: 0000000000000000 x10: ffffff9c62c06000 

[    1.616508] x9 : 00000000fffee17d x8 : 0000000000000000 

[    1.616513] x7 : 0000000000000000 x6 : ffffff800805b4c5 

[    1.616518] x5 : 0000000000000001 x4 : 0000000000000004 

[    1.616523] x3 : 00000000000004e2 x2 : ffffffe4d5b00ca8 

[    1.616528] x1 : 00000000fffee17d x0 : ffffffe4d5b00cd8 

[    1.616533] Call trace:

[    1.616539]  mod_timer+0x584/0x588

[    1.616544]  add_timer+0x18/0x28

[    1.616549]  queue_delayed_work_on+0x98/0xf8

[    1.616554]  pwm_fan_set_cur_state+0x168/0x170

[    1.616559]  thermal_cdev_update+0x158/0x218

[    1.616564]  step_wise_throttle+0x54/0x80

[    1.616569]  handle_thermal_trip+0x210/0x308

[    1.616574]  thermal_zone_device_update+0x150/0x198

[    1.616579]  __thermal_cooling_device_register+0x434/0x448

[    1.616584]  thermal_of_cooling_device_register+0xc/0x18

[    1.616589]  pwm_fan_probe+0x3ec/0x4d8

[    1.616595]  platform_drv_probe+0x7c/0xb8

[    1.616599]  really_probe+0x43c/0x4c8

[    1.616604]  driver_probe_device+0x60/0xf8

[    1.616609]  __driver_attach+0xe8/0x128

[    1.616615]  bus_for_each_dev+0x78/0xc0

[    1.616620]  driver_attach+0x20/0x28

[    1.616625]  bus_add_driver+0x120/0x200

[    1.616630]  driver_register+0x74/0x108

[    1.616635]  __platform_driver_register+0x40/0x48

[    1.616640]  pwm_fan_driver_init+0x18/0x20

[    1.616644]  do_one_initcall+0x11c/0x280

[    1.616649]  kernel_init_freeable+0x2dc/0x390

[    1.616655]  kernel_init+0x14/0x290

[    1.616660]  ret_from_fork+0x10/0x18

[    1.616667] Code: d4210000 17ffff51 d4210000 17fffefc (d4210000) 

[    1.616675] ---[ end trace 07ea3774be7925cf ]---
[    1.618456] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b

[    1.618456] 

[    1.618469] SMP: stopping secondary CPUs

[    2.218618] cnss: Crash shutdown with driver_state 0x0

[    2.218628] cnss: Device is already powered off, skip

[    2.218645] ipa ipa3_active_clients_panic_notifier:305 

[    2.218645] ---- Active Clients Table ----

[    2.218645] 

[    2.218645] Total active clients count: 0

[    2.218645] 

[    2.218659] Kernel Offset: 0x1c58a00000 from 0xffffff8008000000

#5 - 2023-06-17 11:55 - CDTS_Test 吴诗雨

VB版本，adb命令按压12H未出现异常

#6 - 2023-06-19 10:51 - CDTS_Test 吴诗雨

最新110版本adb命令按压24H未出现异常

#7 - 2023-06-25 14:03 - CD BSP 叶鹏 

- Status changed from New to RESOLVED

- Assignee changed from CD BSP 叶鹏  to CDTS_Test 吴诗雨

#8 - 2023-06-28 15:28 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

112版本长时间按压未出现重启进入900E的情况

#9 - 2023-06-28 15:29 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
